ข้ามไปยังเนื้อหา

Hunyuan3d V3 · Text to 3D

ผสานการทำงาน

ID โมเดล hunyuan3d-v3/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $0.375 375 เครดิต API · ≈ ₽40.34 ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API

Hunyuan3D V3 แปลงข้อความเป็น 3D โดยมีเอาต์พุตแบบ Normal, LowPoly หรือ Geometry และตัวเลือก PBR

Tencent · 3D

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 1024

พรอมต์การสร้างที่รองรับอักขระ UTF-8 สูงสุด 1024 ตัว เพื่อระบุเนื้อหา 3D ที่ต้องการสร้าง

generate_type ค่าเริ่มต้น Normal

โหมดการสร้าง: `Normal` สร้างโมเดลที่มีพื้นผิว; `LowPoly` ลดจำนวนโพลิกอน; `Geometry` สร้างโมเดลสีขาวที่ไม่มีพื้นผิว

ค่าเริ่มต้น 500000

จำนวนพื้นผิวที่ต้องการ ตั้งแต่ 40,000 ถึง 1,500,000

ขั้นสูง polygon_type · enable_safety_checker
polygon_type ค่าเริ่มต้น triangle

ประเภทโพลิกอน ใช้เฉพาะเมื่อ `GenerateType` เป็น `LowPoly`

POST /run/hunyuan3d-v3/text-to-3d?wait=20 ใบเสนอราคา → $0.375
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Hunyuan3d V3 · Text to 3D

สร้างโมเดล 3D จาก `prompt` ความยาวไม่เกิน 1024 อักขระ โดยไม่ต้องใช้ภาพ `generate_type` ใช้เลือกโมเดล Normal ที่มีพื้นผิว, โมเดล LowPoly ที่ลดจำนวนโพลิกอน หรือโมเดล Geometry สีขาว ส่วน `polygon_type` ใช้กำหนดสามเหลี่ยมหรือสี่เหลี่ยมสำหรับ LowPoly `enable_pbr` เพิ่มวัสดุ PBR และ `face_count` อยู่ในช่วง 40000 ถึง 1500000

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 1,024 อักขระ
พรอมต์การสร้างที่รองรับอักขระ UTF-8 สูงสุด 1024 ตัว เพื่อระบุเนื้อหา 3D ที่ต้องการสร้าง
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
enable_pbrไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
ตัวเลือกสำหรับสร้างวัสดุ PBR
face_countไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น500000
40,000 – 1,500,000
จำนวนพื้นผิวที่ต้องการ ตั้งแต่ 40,000 ถึง 1,500,000
generate_typeไม่บังคับ
ประเภทenum
ค่าเริ่มต้นNormal
NormalLowPolyGeometry
โหมดการสร้าง: `Normal` สร้างโมเดลที่มีพื้นผิว; `LowPoly` ลดจำนวนโพลิกอน; `Geometry` สร้างโมเดลสีขาวที่ไม่มีพื้นผิว
polygon_typeไม่บังคับ
ประเภทenum
ค่าเริ่มต้นtriangle
trianglequadrilateral
ประเภทโพลิกอน ใช้เฉพาะเมื่อ `GenerateType` เป็น `LowPoly`
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan3d-v3/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 375,
    "usd": "0.375",
    "charged": 375,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
model_glb
object {url, content_type, file_name, file_size}ไฟล์ GLB ที่มีวัตถุ 3D ที่สร้างขึ้น
thumbnail
object {url, content_type, file_name, file_size} | nullภาพขนาดย่อที่แสดงตัวอย่างโมเดลที่สร้างขึ้น
model_urls
object {glb, fbx, obj, usdz}ลิงก์ไปยังโมเดล 3D ในรูปแบบต่าง ๆ
seed
integer | nullค่า Seed ที่ใช้ระหว่างการสร้าง

โมเดลเพิ่มเติม: ข้อความเป็น 3D

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/hunyuan3d-v3/text-to-3d.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt